import { OperationType, ParserField, ParserTree } from 'graphql-js-tree';
export interface TransformerFunction {
    (props: {
        directiveName: string;
        tree: ParserTree;
        operations: Record<OperationType, ParserField | undefined>;
        schema: string;
        field: ParserField;
    }): string;
}
export interface TransformerDef {
    transformer: TransformerFunction;
    directiveName: string;
}
interface TransformSchemaProps {
    schema: string;
    transformers: Array<TransformerDef>;
}
export declare const TransformGraphQLSchema: ({ schema, transformers }: TransformSchemaProps) => string;
export {};
